Subject: Re: [i2c] [PATCH 3/5] powerpc: Document device nodes for I2C devices.

From: Jean Delvare <[email-masked]>
Date: Sun, 20 May 2007 13:42:43 +0200

On Fri, 18 May 2007 12:10:18 -0500, Kumar Gala wrote:
> For I2C specifically we already have both a dynamic way (kernel cmd  
> line) and static (i2c_board_info) to specify the i2c devices, why do  
> we need yet another?

This reminds me that the new-style drivers lost the ability to specify
i2c devices on the kernel command line. I wonder if it will be a
problem in practice. I planned to create a sysfs interface as a
replacement but never took the time to actually implement it.

-- 
Jean Delvare